module JamRuby
  class GenrePlayer < ActiveRecord::Base

    PROFILE = 'profile'
    VIRTUAL_BAND = 'virtual_band'
    TRADITIONAL_BAND = 'traditional_band'
    PAID_SESSION = 'paid_sessions'
    FREE_SESSION = 'free_sessions'
    COWRITING = 'cowriting'

    self.table_name = "genre_players"

    belongs_to :player, polymorphic: true
    belongs_to :genre, class_name: "JamRuby::Genre"

  end
end
